C2DGroundTruthEvaluator Class Reference
Perfusion Analysis

Main class for peudo ground truth estimation for perfusion series. More...

`#include <mia/2d/ground_truth_evaluator.hh>`

## Public Member Functions

| C2DGroundTruthEvaluator (double alpha, double beta, double rho)
void | operator() (const std::vector< P2DImage > &originals, std::vector< P2DImage > &estimate) const
| ~C2DGroundTruthEvaluator ()

## Detailed Description

Main class for peudo ground truth estimation for perfusion series.

This class implements the Ground Truth Estimation for perfusion series as given in Chao Li and Ying Sun, "Nonrigid Registration of Myocardial Perfusion MRI Using Pseudo Ground Truth", MICCAI 2009, pp 165-172

The class make use of GroundTruthProblem and CCorrelationEvaluator in order to evaluate the pseudo ground truth.

There is a new paper about this methos that requires a segmentation for better pseudo graound truth estimation.

Definition at line 44 of file ground_truth_evaluator.hh.

## Constructor & Destructor Documentation

## C2DGroundTruthEvaluator()

C2DGroundTruthEvaluator::C2DGroundTruthEvaluator | ( | double | alpha,
|  | double | beta,
|  | double | rho )

Initialize the gound truth estimator with the given parameters. unfortunately the paper is silent about sensible values.

## ~C2DGroundTruthEvaluator()

C2DGroundTruthEvaluator::~C2DGroundTruthEvaluator | ( |  | ) |

## Member Function Documentation

## operator()()

void C2DGroundTruthEvaluator::operator() | ( | const std::vector< P2DImage > & | originals,
|  | std::vector< P2DImage > & | estimate ) const

Run the estimation algorithm.

Parameters

  | originals | iriginal image series
  [in,out] | estimate | the estimated pseudo ground truth.

The documentation for this class was generated from the following file:

- ground_truth_evaluator.hh